// pages/address/address.js
const getReq = require('./../../config.js').getReq
let appInstance = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    address_list: [],
    firstLoad: true,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getDatas()
  },
  getDatas() {
    wx.showLoading({
      title: '加载中',
    })
    var self = this
    getReq({
      act: 'member_address',
      op: 'address_list'
    }, function (res) {
      wx.hideLoading()
      if (res.code == 200) {
        let address_list = res.datas.address_list
        self.setData({
          address_list,
          firstLoad: false
        })

      }
      else {
        wx.showToast({
          icon: 'none',
          title: res.message,
          duration: 2000
        })
      }
    })
  },
  check_address(e) {
    let dataset = e.currentTarget.dataset
    let { address } = dataset
    let true_name = dataset.truename
    let mob_phone = dataset.mobphone
    let area_info = dataset.areainfo
    let address_id = dataset.addressid
    appInstance.checkDefaultAddress({
      true_name,
      mob_phone,
      area_info,
      address,
      address_id
    })
    wx.navigateBack()

  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (!this.data.firstLoad) {
      this.getDatas()
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  }
})